Bug 1658401 (CVE-2018-18494) - CVE-2018-18494 Mozilla: Same-origin policy violation using location attribute and performance.getEntries to steal cross-origin URLs
Summary: CVE-2018-18494 Mozilla: Same-origin policy violation using location attribute...
Status: CLOSED ERRATA
Alias: CVE-2018-18494
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20181211,repo...
Keywords: Security
Depends On: 1655361 1660727 1661346 1667787 1655360 1655362 1660726 1660728
Blocks: 1655358 1660724
TreeView+ depends on / blocked
 
Reported: 2018-12-12 00:00 UTC by Doran Moppert
Modified: 2019-01-29 16:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-01-29 16:11:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3831 None None None 2018-12-17 17:06 UTC
Red Hat Product Errata RHSA-2018:3833 None None None 2018-12-17 17:06 UTC
Red Hat Product Errata RHSA-2019:0159 None None None 2019-01-24 22:38 UTC
Red Hat Product Errata RHSA-2019:0160 None None None 2019-01-24 22:42 UTC

Description Doran Moppert 2018-12-12 00:00:11 UTC
A same-origin policy violation allowing the theft of cross-origin URL entries when using the Javascript `location` property to cause a redirection to another site using `performance.getEntries()`. This is a same-origin policy violation and could allow for data theft. 



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-30/#CVE-2018-18494

Comment 1 Doran Moppert 2018-12-12 00:00:13 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: James Lee of Kryptos Logic

Comment 2 errata-xmlrpc 2018-12-17 17:06:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3831 https://access.redhat.com/errata/RHSA-2018:3831

Comment 3 errata-xmlrpc 2018-12-17 17:06:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3833 https://access.redhat.com/errata/RHSA-2018:3833

Comment 4 Doran Moppert 2019-01-21 04:57:52 UTC
Statement:

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-01-24 22:38:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0159 https://access.redhat.com/errata/RHSA-2019:0159

Comment 7 errata-xmlrpc 2019-01-24 22:42:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0160 https://access.redhat.com/errata/RHSA-2019:0160


Note You need to log in before you can comment on or make changes to this bug.